Bug 852583 - [abrt] gdb-7.4.50.20120120-49.fc17: dwarf2_compute_name: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.4.50.20120120-49.fc17: dwarf2_compute_name: Process /usr/bin/gdb...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:290f3d543f5ee090495f133c3ea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 21:29 EDT by mdmpsyd@gmail.com
Modified: 2013-07-31 21:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.57 KB, text/plain)
2012-08-28 21:29 EDT, mdmpsyd@gmail.com
no flags Details
File: maps (30.21 KB, text/plain)
2012-08-28 21:29 EDT, mdmpsyd@gmail.com
no flags Details
File: dso_list (5.24 KB, text/plain)
2012-08-28 21:29 EDT, mdmpsyd@gmail.com
no flags Details

  None (edit)
Description mdmpsyd@gmail.com 2012-08-28 21:29:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /usr/lib/debug:/var/cache/abrt-di/usr/lib/debug' -ex 'file /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/bin/java' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 128 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: dwarf2_compute_name
executable:     /usr/bin/gdb
kernel:         3.5.2-1.fc17.x86_64
pid:            20490
pwd:            /home/mark/.abrt/spool/ccpp-2012-08-28-21:19:30-19340
remote_result:  NOTFOUND
time:           Tue 28 Aug 2012 09:25:17 PM EDT
uid:            1000
username:       mark
xsession_errors: 

backtrace:      Text file, 42564 bytes
dso_list:       Text file, 5369 bytes
maps:           Text file, 30930 bytes

build_ids:
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:c4ec0971b2dcee71aaf8374975474054245fea00
:42147224a191a382ea9902023e3816f4caed1ef0
:45e0014c86f9c5707b728cec9485c036cf17aed7
:f4c064df8745dff15466d705fb049138f9a5c949
:95d661d0846ec5923d56cccc7e17a1244f00e350
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:4c9c864a7c7b7ed702088955821d58137803462d
:9f64df5552bcacac80071bad9f04fda17a7aef7b
:c6d621e30ad44728337e1225fabf28fadb0e120d
:b742376ab5d07a6912f08a4c70978b52a72e7824
:df97feea11d0796e7061422c3ad04b5638477abd
:6086bff484a49cc8b80cb714d7e83a6391394800
:0f8dadb3075aa3708f5346cbcf3a4b162c504e0b
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:7024c532984148e2b555c6194ff684a6d0e80d78
:9e6594e38d36f94f5e02c90731970f1c72396147
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37
:da0831cf9c551543fbc94e797a102a57a30e790f
:67792c148d2b8f13f6732c9367e926c26d7376c5

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mark/24

core_backtrace:
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1c33ee - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1c546b - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1c0df0 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1c29bb - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1c118b - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1c7fd2 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1c7301 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1ca0c1 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1ca31c - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1ca930 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1416f2 basic_lookup_transparent_type [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x2360b6 cp_lookup_transparent_type [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x189c79 check_typedef [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xd838a - [exe] -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdce36 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdc113 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdc113 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x6d796 - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x4a25e PyObject_CallFunctionObjArgs libpython2.7.so.1.0 -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xd4ae3 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xd4c82 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xd50ec apply_val_pretty_printer [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x136e48 val_print [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x136f31 common_val_print [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x13e6c2 print_variable_and_value [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x169304 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x16b054 iterate_over_block_local_vars [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x16b14c - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x16b319 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x16b617 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x22286a execute_command [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x16f951 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x22286a execute_command [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170f82 catch_command_errors [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x172913 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170ebe catch_errors [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1735b4 gdb_main [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x5121e main [exe] -

environ:
:XDG_VTNR=2
:EXCLUDE_FROM_REPORT=pwd,maps,cmdline,hostname,pid,open_fds,dso_list,environ,component,abrt_version,coredump,analyzer,uuid,kernel,executable,Directory,reason,cgroup,var_log_messages,package,architecture,limits,uid,username,os_release,count,time,core_backtrace
:XDG_SESSION_ID=24
:HOSTNAME=Fedora
:ABRT_VERBOSE=0
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/mark/keyring-ZbablH/gpg:0:1
:SHELL=/bin/bash
:HISTSIZE=1000
:REPORT_CLIENT_SLAVE=1
:GNOME_KEYRING_CONTROL=/run/user/mark/keyring-ZbablH
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=mark
:DESKTOP_AUTOSTART_ID=10df6cb616675206fe134585652326291200000327580029
:LIBREPORT_PRGNAME=abrt-applet
:SSH_AUTH_SOCK=/run/user/mark/keyring-ZbablH/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/32758,unix/unix:/tmp/.ICE-unix/32758
:USERNAME=mark
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mark/.local/bin:/home/mark/bin
:MAIL=/var/spool/mail/mark
:QT_IM_MODULE=xim
:PWD=/home/mark/.abrt/spool/ccpp-2012-08-28-21:19:30-19340
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=32754
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/mark
:XDG_SEAT=seat0
:DUMP_DIR=/home/mark/.abrt/spool/ccpp-2012-08-28-21:19:30-19340
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=mark
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-IgEwvPdlmk,guid=1dfe0c24e4d0979c3b31b1e8000118b5
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:EVENT=analyze_LocalGDB
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/mark
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-mark-X7NzTy/database
:_=/usr/bin/abrt-action-generate-backtrace

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23274                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23274                23274                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:pipe:[5452308]
:pos:	0
:flags:	01
:2:pipe:[5452308]
:pos:	0
:flags:	01
:3:socket:[5452314]
:pos:	0
:flags:	02
:4:socket:[5452315]
:pos:	0
:flags:	02
:5:pipe:[5452316]
:pos:	0
:flags:	04000
:6:pipe:[5452316]
:pos:	0
:flags:	01
:7:/var/cache/abrt-di/usr/lib/debug/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/bin/java.debug
:pos:	4096
:flags:	02100000
:8:/usr/lib64/libpthread-2.15.so
:pos:	49152
:flags:	02100000
:9:/var/cache/abrt-di/usr/lib/debug/usr/lib64/gio/modules/libdconfsettings.so.debug
:pos:	81920
:flags:	02100000
:10:/usr/lib64/gio/modules/libdconfsettings.so
:pos:	27984
:flags:	02100000
:11:/var/cache/abrt-di/usr/lib/debug/usr/lib64/libjavascriptcoregtk-1.0.so.0.13.2.debug
:pos:	88252416
:flags:	02100000
:12:/var/cache/abrt-di/usr/lib/debug/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64/libnet.so.debug
:pos:	368640
:flags:	02100000
:13:/usr/lib64/libglib-2.0.so.0.3200.4
:pos:	740816
:flags:	02100000
:14:/var/cache/abrt-di/usr/lib/debug/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64/jli/libjli.so.debug
:pos:	196608
:flags:	02100000
:15:/home/mark/.abrt/spool/ccpp-2012-08-28-21:19:30-19340/coredump
:pos:	1823768576
:flags:	02100000
:16:/var/cache/abrt-di/usr/lib/debug/lib64/libpthread-2.15.so.debug
:pos:	602112
:flags:	02100000

smolt_data:
:
:
:General
:=================================
:UUID: bc6aacb2-882b-4dad-87c0-8ca431686c62
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3989.91
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6400  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 2943
:System Swap: 4991
:Vendor: Hewlett-Packard
:System: HP G60 Notebook PC F.35
:Form factor: Notebook
:Kernel: 3.5.2-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10521:4156:13835) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(5772:42:4156:4993) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(32902:10818:4156:13835) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4156:13835) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4156:13835) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:13835) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(4332:33078:4156:13835) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10546:4156:13835) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:10558:4156:13835) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4156:13835) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4156:13835) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:4156:13835) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10548:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4156:13835) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4156:13835) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:13835) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedora-lv_root / ext4 4096 4096 12901535 8366807 7711447 3276800 2778127 2778127
:/dev/sda1 /boot ext4 1024 1024 495844 359086 333486 128016 127648 127648
:/dev/mapper/vg_fedora-lv_home /home ext4 4096 4096 62628821 47511918 44330555 15908864 15840997 15840997
:/dev/sdc1 WITHHELD fuseblk 512 512 15826880 15485846 15485846 7808459 7808347 7808347
:

var_log_messages:
:Aug 28 13:30:00 Fedora kernel: [296549.753459] gdb[5964]: segfault at 103422557 ip 00000000004ddaaa sp 00007fff0ccd9ed0 error 4 in gdb[400000+4c2000]
:Aug 28 13:30:01 Fedora abrt[5966]: Saved core dump of pid 5964 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-08-28-13:30:00-5964 (15134720 bytes)
:Aug 28 21:25:16 Fedora kernel: [325017.516169] gdb[20490]: segfault at 980d19fd00 ip 00000000005c33ee sp 00007fffbb4fe540 error 4 in gdb[400000+4c2000]
:Aug 28 21:25:24 Fedora abrt[20534]: Saved core dump of pid 20490 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-08-28-21:25:17-20490 (242176000 bytes)
Comment 1 mdmpsyd@gmail.com 2012-08-28 21:29:19 EDT
Created attachment 607719 [details]
File: backtrace
Comment 2 mdmpsyd@gmail.com 2012-08-28 21:29:22 EDT
Created attachment 607720 [details]
File: maps
Comment 3 mdmpsyd@gmail.com 2012-08-28 21:29:24 EDT
Created attachment 607721 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 18:52:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 21:03:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.